Subject: RE: [AAA-WG]: question on draft-ietf-aaa-diameter-sip-app-02

From: <[email-masked]>
Date: Tue, 4 May 2004 14:11:12 +0300

Hi,

RFC3588 is inconsistent about this; some text in Section 2.10 
requires that responses do have Route-Record AVPs. This was
discussed in issue #424 (link below), but somehow the issue
got closed without really being resolved.

http://www.drizzle.com/~aboba/AAA/issues5.html#Issue%20424

Best regards,
Pasi

> -----Original Message-----
> From: [email-masked] On Behalf Of [email-masked]
> Sent: Tuesday, May 04, 2004 2:00 PM
> To: [email-masked]
> Subject: [AAA-WG]: question on draft-ietf-aaa-diameter-sip-app-02
> 
> I noticed that in draft-ietf-aaa-diameter-sip-app-02.txt,
> Route-Record is added to each Answer-request (UAA, SAA, LIA, MAA,
> RTA, PPA). But according to BASE, we have to add this attribute for
> each request that is forwarded. The purpose is to check for loops,
> but that's only necessary in requests. I agree that BASE doesn't
> explicitly forbid this attribute in the response, but none of the
> command-codes defined in BASE have a Route-Record in a Response. I
> also checked all the other applications-drafts, but the
> SIP-application is the only one that does it..
>
> -- 
> Jo Hermans

---

From: Miguel Garcia <[email-masked]>
Date: Tue, 04 May 2004 15:24:56 +0300

Hmmmm... I was already convinced that Record-Route in answers was a bug 
in the Diameter SIP application, and I answered that I will fix it.

But now that I have read your e-mail, and read the discussion, I believe 
  it is a bug in RFC 3588. Consequently, I will keep the Record-Route 
AVP in the answers, i.e., no changes with respect the current version.

- Miguel

-- 
Miguel A. Garcia           tel:+358-50-4804586
Nokia Research Center      Helsinki, Finland